<?php 

require_once "conexionLocal.php";
  
  
function aplicarCambiosWifi(){
	exec("sudo echo '1,0,0' > /var/www/html/GoldCheck/variables/cambioWifi.txt",$return);
	return printf("WIFI-OK");
}

function desmontarUsb(){
	exec("sudo echo '1' > /var/www/html/GoldCheck/variables/desmontarUsb.txt",$return);
	do{
		usleep(3000000);
		$archivoUsb = fopen("/var/www/html/GoldCheck/variables/desmontarUsb.txt", "r") or die("No se puede abrir el archivo!");
		$fileUsb = fgets($archivoUsb);
		fclose($archivoUsb);
	}while($fileUsb == 1);
	return printf("OK".$fileUsb);
}
 
function ejecutarRecuperacion(){
	exec("sudo echo '1' > /var/www/html/GoldCheck/variables/recuperacion.txt",$return);
	unlink("sudo /var/www/html/GoldCheck/variables/RecuInfo.txt");
	while(!file_exists("/var/www/html/GoldCheck/variables/RecuInfo.txt"));
	$fin = false;
	
	while($fin === false){
		sleep(1);
		$resultado = "";
		if ($file = fopen("/var/www/html/GoldCheck/variables/RecuInfo.txt", "r")) {
			while(!feof($file)){
				$line = fgets($file);
				$resultado .= "<div>".$line."</div>";
				if(strpos($line,"terminado") !== false){
					$fin = true;
					break;
				}
			}
			fclose($file);
		} 
	} 
	printf($resultado);
}

function borrarAlarmas(){
 	try{
		$sql = "DELETE FROM tablaAlarmas";
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->execute();
		if($results){
			$respuesta = "<div class='exito' data-recargar>Se eliminó la tabla correctamente</div>";
		}else{
			$respuesta = "<div class='error' data-recargar>Ocurrio un error. No se eliminó la tabla</div>";
		}
		$results = null;
		$midb = null;
		return printf($respuesta);
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

function borrarIdTerminal(){
 	try{
		
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare("DROP TABLE TerminalConfiguracion"); 
		$results->execute();
		//Cierra la conexión con la base de datos
		$results = null;
		$midb = null;
		
		return printf("OK");
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

function borrarRedWifi($red){
 	//print_r("Borrando red wifi");
	if(strcmp("sun8i", $so_board) !== false){
		exec('sudo nmcli connection delete id '.$red,$result);
		print_r('borrarRedWifi-OK&'.$result[0]);
	}
}

function borrarLogs($red){
 	
	exec('sudo rm /var/www/html/GoldCheck/Logs/*',$result);
	print_r('borrarLogs-OK&'.$result[0]);
	
}
  
function conectarRedWifi($idRedWifi){
	exec("echo '2,".$idRedWifi.",0' > /var/www/html/GoldCheck/variables/cambioWifi.txt",$return);
}


function editarDatosUsuario($usuario,$clave){
	
	try{
		$midb = conexionLocalSQLite3();
		$nRows = $midb->query("SELECT COUNT(*) FROM usuarios WHERE tipo='1'")->fetchColumn(); 
		if($nRows >0){
			
			$sql = "UPDATE usuarios SET nombre = :nombre, clave = :clave WHERE tipo='1'";
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare($sql);
			$results->bindParam(':nombre',$usuario, PDO::PARAM_STR);
			$results->bindParam(':clave',$clave, PDO::PARAM_STR);
			$results->execute();
			if($results){
				$respuesta .= "OK";
			}else{
				$respuesta .= "ERROR";
				$results = null;
				$midb = null;
				//return printf($respuesta);
			}
		}else{
			
			$sql = "INSERT INTO usuarios (nombre, clave, tipo) VALUES (:nombre,:clave,'1')";
			$midb = conexionLocalSQLite3();
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare($sql);
			$results->bindParam(':nombre',$usuario, PDO::PARAM_STR);
			$results->bindParam(':clave',$clave, PDO::PARAM_STR);
			$results->execute();
			if($results){
				$respuesta .= "OK";
			}else{
				$respuesta .= "ERROR";
				$results = null;
				$midb = null;
				//return printf($respuesta);
			}
			$results = null;
			$midb = null;
			//return printf($respuesta);
		}
		
		
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage().$sql."\r\n", FILE_APPEND);  
 	}
 	
 	return printf($respuesta);
 	$results = null;
	$midb = null;
}
 
function editarPermisosUsuario($permisos){
	//echo "Editando permisos";
	try{
		$midb = conexionLocalSQLite3();
		$nRows = $midb->query("SELECT COUNT(*) FROM usuarios  WHERE tipo='1'")->fetchColumn(); 
		if($nRows >0){
			$sql = "UPDATE usuarios SET permisos = :permisos, bloqueo = 1 WHERE tipo='1'";
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare($sql);
			$results->bindParam(':permisos',$permisos, PDO::PARAM_STR);
			$results->execute();
			if($results){
				$respuesta .= "OK";
			}else{
				$respuesta .= "ERROR";
				$results = null;
				$midb = null;
				return printf($respuesta);
			}
		}else{
			$sql = "INSERT INTO usuarios (permisos, bloqueo) VALUES (:permisos,1)";
			$midb = conexionLocalSQLite3();
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare($sql);
			$results->bindParam(':permisos',$permisos, PDO::PARAM_STR);
			$results->execute();
			if($results){
				$respuesta .= "OK";
			}else{
				$respuesta .= "ERROR";
				$results = null;
				$midb = null;
				return printf($respuesta);
			}
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		
		
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage().$sql."\r\n", FILE_APPEND);  
 	}
 	
 	return printf($respuesta);
 	$results = null;
	$midb = null;
}

function enviarTrama($trama){
	//print_r("SELECT * FROM tablaLogGps WHERE fecha >= '".$fechaInicial." ".$horaInicial."' AND fecha <= '".$fechaFinal." ".$horaFinal."' ORDER BY fecha");
    try{
		//Carga las redes almacenadas en base de datos
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare("SELECT * FROM tablaConfiguracion"); 
		$results->setFetchMode(PDO::FETCH_ASSOC);
		$results->execute();
		if($results){
			while($response = $results->fetch()){
				$ip = $response['ip_servidor'];
				$puerto = $response['puerto_servidor'];
			}		
		}
	}catch(PDOException $e) {
    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", myfile.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	$respuesta ="";
 	/* Crear un socket TCP/IP. */
	$socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
	if ($socket === false) {
	    $respuesta =  "ERROR-SOCKET socket_create() falló: razón: ".socket_strerror(socket_last_error());
	    return printf($respuesta);
	} else {
	    $respuesta = "OK-SOCKET";
	}

	
	$result = socket_connect($socket, $ip, $puerto);
	if ($result === false) {
	    $respuesta = "ERROR-SOCKET socket_connect razon:".socket_strerror(socket_last_error($socket));
	    return printf($respuesta);
	} else {
	    $respuesta = "OK-SOCKET";
	}
	$trama1 = $trama."\n";
	socket_write($socket, $trama1, strlen($trama1));

	$out = socket_read($socket,2048, PHP_NORMAL_READ);
	return printf($respuesta."&".$out);
}
//Función que envia los datos del usuario
function datosUsuario(){
	//echo "permisosUsuario";
	try{
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare("SELECT * FROM usuarios WHERE tipo='1'"); 
		$results->setFetchMode(PDO::FETCH_ASSOC);
		$results->execute();
		
		if($results){
			while($fila = $results->fetch()){
				$nombre = $fila['nombre'];
				$clave = $fila['clave'];
			}
		}
		//Cierra la conexión con la base de datos
		$results = null;
		$midb = null;
		//echo json_encode($matriz);
	    printf("OK,".$nombre.",".$clave);
	    return;
	}catch(PDOException $e) {
    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	printf("ERROR");
}



function insertarConfiguracion($ip_servidor,$puerto_servidor,$firmware,$placa,$utc,$estado,$borrarCedulas,$trama_gps,$descuento,$volumen,$limiteVelocidad){

	try{
		$midb = conexionLocalSQLite3();
		
		$sql = "UPDATE tablaConfiguracion SET ip_servidor = :ip_servidor";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':ip_servidor',$ip_servidor, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito la ip del servidor </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro ip servidor</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		$sql = "UPDATE tablaConfiguracion SET puerto_servidor = :puerto_servidor";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':puerto_servidor',$puerto_servidor, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el puerto del servidor </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro puerto servidor</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		
		$sql = "UPDATE tablaConfiguracion SET placa = :placa";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':placa',$placa, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el placa </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro placa</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		$sql = "UPDATE tablaConfiguracion SET utc = :utc";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':utc',$utc, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el utc </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro utc</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		
		$sql = "UPDATE tablaConfiguracion SET estado = :estado";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':estado',$estado, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el estado </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro estado</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		$sql = "UPDATE tablaConfiguracion SET borrar_cedulas = :borrarCedulas";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':borrarCedulas',$borrarCedulas, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el borrado de las cedulas </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el borrado de las cedulas</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		$sql = "UPDATE tablaConfiguracion SET trama_gps = :tramaGps";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		if($trama_gps == null) $trama_gps = '0';
		$results->bindParam(':tramaGps',$trama_gps, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito la trama Gps </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó la trama GPS</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		
		$sql = "UPDATE tablaConfiguracion SET descuento = :descuento";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':descuento',$descuento, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el descuento $descuento</div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el descuento $descuento</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		
		$sql = "UPDATE tablaConfiguracion SET volumen = :volumen";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		if($volumen == null) $volumen = '100';
		$results->bindParam(':volumen',$volumen, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el volumen </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el volumen</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		/*
		$sql = "UPDATE tablaConfiguracion SET limiteVelocidad = :limiteVelocidad";
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		if($limiteVelocidad == null) $limiteVelocidad = '60';
		$results->bindParam(':limiteVelocidad',$limiteVelocidad, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta .= "<div class='exito' data-recargar>Se insertó con exito el limite de velocidad </div>";
		}else{
			$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el limite de velocidad</div>";
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		*/

		$results = null;
		$midb = null;
		//Modifica el nombre del host con los datos de la placa
		//modificarHostName($placa);
		$resultado = modificarHostName($placa);
		//echo $resultado;
		if($resultado == 'ERROR'){
                    return printf("No se insertó");
		}
		if($utc >= 0) $comando = "sudo timedatectl set-timezone Etc/GMT-".$utc;
		else{
			$utc *= -1;
			$comando = "sudo timedatectl set-timezone Etc/GMT+".$utc;
		} 
		exec($comando);
		return printf($respuesta);
	}catch(PDOException $e) 
        {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	
 	
 	$results = null;
	$midb = null;
 }

function eliminarHistorico($idHistorico){
 	try{
		$sql = "DELETE FROM tablaHistoricos WHERE id=$idHistorico";
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->execute();
		if($results){
			$respuesta = "<div class='exito' data-recargar>Se eliminó el registro correctamente</div>";
		}else{
			$respuesta = "<div class='error' data-recargar>Ocurrio un error. No se eliminó el registro</div>";
		}
		$results = null;
		$midb = null;
		return printf($respuesta);
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

function eliminarAlarma($idAlarma){
 	try{
		$sql = "DELETE FROM tablaAlarmas WHERE Primary_Key=$idAlarma";
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->execute();
		if($results){
			$respuesta = "<div class='exito' data-recargar>Se eliminó el registro correctamente</div>";
		}else{
			$respuesta = "<div class='error' data-recargar>Ocurrio un error. No se eliminó el registro</div>";
		}
		$results = null;
		$midb = null;
		return printf($respuesta);
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

function eliminarProgramacionAudio($idProgramacionAudio){
 	try{
		$sql = "DELETE FROM mensajesAudio WHERE Primary_Key=$idProgramacionAudio";
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->execute();
		if($results){
			$respuesta = "<div class='exito' data-recargar>Se eliminó el registro correctamente</div>";
		}else{
			$respuesta = "<div class='error' data-recargar>Ocurrio un error. No se eliminó el registro</div>";
		}
		$results = null;
		$midb = null;
		return printf($respuesta);
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

function eliminarRedWifi($idRedWifi){
 	try{
		$sql = "DELETE FROM conexionesWifi WHERE Primary_Key=$idRedWifi";
		print_r($sql);
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->execute();
		if($results){
			$respuesta = "<div class='exito' data-recargar>Se eliminó el registro correctamente</div>";
		}else{
			$respuesta = "<div class='error' data-recargar>Ocurrio un error. No se eliminó el registro</div>";
		}
		$results = null;
		$midb = null;
		return printf($respuesta);
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

function guardarIpConfig($ipConfig,$direccion,$mascara,$gateway){
	if($ipConfig=="DINAMICA"){
		$config = "source-directory /etc/network/interfaces.d"."\n";
		$config .= "auto wlan0"."\n";
		$config .= "allow-hotplug wlan0"."\n";
		$config .= "iface wlan0 inet manual"."\n";
		$config .= "wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf"."\n";
		$config .= "iface default inet dhcp"."\n";
	}else{
		$config = "source-directory /etc/network/interfaces.d"."\n";
		$config .= "allow-hotplug wlan0"."\n";
		$config .= "iface wlan0 inet static"."\n";
		$config .= "address ".$direccion."\n";
		$config .= "netmask ".$mascara."\n";
		$config .= "gateway ".$gateway."\n";
		$config .= "wpa-conf /etc/wpa_supplicant/wpa_supplicant.conf"."\n";
	}
	exec("echo '$config' > /tmp/ipconfig",$return);
	system('sudo cp /tmp/ipconfig /etc/network/interfaces',$returnval);
	if($returnval == 0) {
		exec("sudo chmod 777 /etc/network/interfaces",$returnval);
		printf("CONFIGIP-OK");
	} else {
		printf("CONFIGIP-ERROR");
	}
}

function guardarAudio($audio,$intervalo,$fechaInicial,$fechaFinal,$volumen){
	try{
		$midb = conexionLocalSQLite3();
		$nRows = $midb->query("SELECT COUNT(*) FROM mensajesAudio WHERE nombre = '".$audio."'")->fetchColumn(); 
		if($nRows >0){
			$sql = "UPDATE mensajesAudio SET intervalo = :intervalo, fecha_inicial = :fecha_inicial, fecha_final = :fecha_final, volumen = :volumen WHERE nombre = :audio";
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare($sql);
			$results->bindParam(':audio',$audio, PDO::PARAM_STR);
			$results->bindParam(':intervalo',$intervalo, PDO::PARAM_STR);
			$results->bindParam(':fecha_inicial',$fechaInicial, PDO::PARAM_STR);
			$results->bindParam(':fecha_final',$fechaFinal, PDO::PARAM_STR);
			$results->bindParam(':volumen',$volumen, PDO::PARAM_STR);
			$results->execute();
	
			if($results){
				$respuesta .= "<div class='exito' data-recargar>Se insertó con exito la configuración del audio</div>";
			}else{
				$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro</div>";
				$results = null;
				$midb = null;
				return printf($respuesta);
			}
		}else{
			$sql = "INSERT INTO mensajesAudio (nombre, intervalo, fecha_inicial, fecha_final, volumen) VALUES (:audio,:intervalo,:fecha_inicial,:fecha_final,:volumen)";
			$midb = conexionLocalSQLite3();
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare($sql);
			$results->bindParam(':audio',$audio, PDO::PARAM_STR);
			$results->bindParam(':intervalo',$intervalo, PDO::PARAM_STR);
			$results->bindParam(':fecha_inicial',$fechaInicial, PDO::PARAM_STR);
			$results->bindParam(':fecha_final',$fechaFinal, PDO::PARAM_STR);
			$results->bindParam(':volumen',$volumen, PDO::PARAM_STR);
			$results->execute();
			if($results){
				$respuesta .= "<div class='exito' data-recargar>Se insertó con exito la configuración del audio</div>";
			}else{
				$respuesta .= "<div class='error' data-recargar>Ocurrio un error. No se insertó el registro</div>";
				$results = null;
				$midb = null;
				return printf($respuesta);
			}
			$results = null;
			$midb = null;
			return printf($respuesta);
		}
		
		
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage().$sql."\r\n", FILE_APPEND);  
 	}
 	
 	return printf($respuesta);
 	$results = null;
	$midb = null;
 }

function guardarIpConfigBD($ssid,$clave,$tipo,$ipConfig,$ip,$mascara,$gateway,$dns){
	if($ipconfig == "DINAMICA"){
		$ip = "";
		$mascara = "";
		$gateway = "";
		$dns = "";
	}
	try{
		$sql = "INSERT INTO conexionesWifi (ssid, clave, metodo, tipo, ip, mask, gateway, dns) VALUES (:ssid,:clave,:metodo,:tipo,:ip,:mask,:gateway,:dns)";
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare($sql);
		$results->bindParam(':ssid',$ssid, PDO::PARAM_STR);
		$results->bindParam(':clave',$clave, PDO::PARAM_STR);
		$results->bindParam(':metodo',$ipConfig, PDO::PARAM_STR);
		$results->bindParam(':tipo',$tipo, PDO::PARAM_STR);
		$results->bindParam(':ip',$ip, PDO::PARAM_STR);
		$results->bindParam(':mask',$mascara, PDO::PARAM_STR);
		$results->bindParam(':gateway',$gateway, PDO::PARAM_STR);
		$results->bindParam(':dns',$dns, PDO::PARAM_STR);
		$results->execute();
		if($results){
			$respuesta = "<div class='exito' data-recargar>Se insertó con exito la nueva red wifi </div>"."WIFI-OK";
		}else{
			$respuesta = "<div class='error' data-recargar>Ocurrio un error. No se insertó la nueva red wifi</div>"."WIFI-ERROR";
		}
		$results = null;
		$midb = null;
		return printf($respuesta);
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
}

//Función que almacena la configuracion de los videos
function confgVideos($activado,$duracion,$limiteVideos){
    try{
		$midb = conexionLocalSQLite3();
		$nRows = $midb->query("SELECT COUNT(*) FROM configVideo")->fetchColumn(); 
		if($nRows >0){
				$sql = "UPDATE configVideo SET activado = :activado, duracion=:duracion, limiteVideos=:limiteVideos";
				$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				$results = $midb->prepare($sql);
				$results->bindParam(':activado',$activado, PDO::PARAM_STR);
				$results->bindParam(':duracion',$duracion, PDO::PARAM_STR);
				$results->bindParam(':limiteVideos',$limiteVideos, PDO::PARAM_STR);
				$results->execute();

				if($results){
						$respuesta .= "OK";
						exec("sudo echo '1' > /var/www/html/GoldCheck/variables/cambioVideos.txt",$return);
				}else{
						$respuesta .= "ERROR";
						$results = null;
						$midb = null;
						return printf($respuesta);
				}
		}else{
				$sql = "INSERT INTO configVideo (activado, duracion, limiteVideos) VALUES (:activado,:duracion,:limiteVideos)";
				$midb = conexionLocalSQLite3();
				$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				$results = $midb->prepare($sql);
				$results->bindParam(':activado',$activado, PDO::PARAM_STR);
				$results->bindParam(':duracion',$duracion, PDO::PARAM_STR);
				$results->bindParam(':limiteVideos',$limiteVideos, PDO::PARAM_STR);
				$results->execute();
				if($results){
						$respuesta .= "OK";
						exec("sudo echo '1' > /var/www/html/GoldCheck/variables/cambioVideos.txt",$return);
				}else{
						$respuesta .= "ERROR";
						$results = null;
						$midb = null;
						return printf($respuesta);
				}
				$results = null;
				$midb = null;
				
				
				return printf($respuesta);
		}
		
		
	}catch(PDOException $e) {
    	echo "Lo siento hay un error.  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage().$sql."\r\n", FILE_APPEND);  
 	}
 	
 	return printf($respuesta);
 	$results = null;
	$midb = null;
}
function modificarHostName($hostname){
	
	$config = "127.0.0.1"."\t"."localhost\n";
	$config .= "::1"."\t\t"."localhost ip6-localhost ip6-loopback\n";
	$config .= "ff02::1"."\t\t"."ip6-allnodes\n";
	$config .= "ff02::2"."\t\t"."ip6-allrouters\n";
	$config .= "\n";
	$config .= "127.0.1.1"."\t".$hostname."\n";
	exec("echo '$config' > /tmp/hostname",$return);
	system('sudo cp /tmp/hostname /etc/hosts',$returnval);
	if($returnval == 0) {
		exec("sudo chmod 777 /etc/hosts",$returnval);
	} else {
		return "ERROR";
	}
	
	$config = $hostname;
	$comando = "sudo hostnamectl set-hostname ". $config;
	
	exec($comando,$returnval);
	/*
	exec("echo '$config' > /tmp/hostname1",$return);
	system('sudo cp /tmp/hostname1 /etc/hostname',$returnval);
	if($returnval == 0) {
		exec("sudo chmod 777 /etc/hostname",$returnval);
	} else {
		return "ERROR";
	}*/

	return "OK";
}
//Función que envia los permisos del usuario
function permisosUsuario(){
	//echo "permisosUsuario";
	try{
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare("SELECT * FROM usuarios"); 
		$results->setFetchMode(PDO::FETCH_ASSOC);
		$results->execute();
		
		if($results){
			while($fila = $results->fetch()){
				$permisos = $fila['permisos'];
			}
		}
		//Cierra la conexión con la base de datos
		$results = null;
		$midb = null;
		//echo json_encode($matriz);
	    print json_encode("OK,".$permisos);
	    return;
	}catch(PDOException $e) {
    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	print json_encode("ERROR",$permisos);
}
//Reinicia el equipo a valores de fabrica
function reiniciarFabrica(){
	try{
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare("DROP TABLE usuarios"); 
		$results->execute();
		$results = $midb->prepare("DROP TABLE conexionesWifi"); 
		$results->execute();
		$results = $midb->prepare("DROP TABLE tablaConfiguracion"); 
		$results->execute();
		$results = $midb->prepare("DROP TABLE tablaAlarmas"); 
		$results->execute();
		$results = $midb->prepare("DROP TABLE registro_cedulas"); 
		$results->execute();
        $results = $midb->prepare("DROP TABLE configVideo"); 
		$results->execute();
		//Cierra la conexión con la base de datos
		$results = null;
		$midb = null;
		
	}catch(PDOException $e) {
    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	borrarLogs(null);
	borrarVideos(null);
 	
	exec('sudo pkill -9 -f JavaGoldCheck.jar');
	exec('sudo java -jar /home/pi/NetBeansProjects/JavaGoldCheck/dist/JavaGoldCheck.jar > /dev/null 2>/dev/null &');
	print_r($output);
	print_r($result);
	printf('FABRICA-OK');
}
//Función que consulta la configuraci�n de los videos
function consultarConfigVideos(){
	//echo "permisosUsuario";
	try{
		$midb = conexionLocalSQLite3();
		$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$results = $midb->prepare("SELECT * FROM configVideo"); 
		$results->setFetchMode(PDO::FETCH_ASSOC);
		$results->execute();
		$resultado = "NO_CONFIG";
		if($results){
			while($fila = $results->fetch()){
				$activado = $fila['activado'];
				$duracion = $fila['duracion'];
				$limiteVideos = $fila['limiteVideos'];
				$resultado = "CONFIG";
			}
		}
		//Cierra la conexión con la base de datos
		$results = null;
		$midb = null;
		
	    printf($resultado.",".$activado.",".$duracion.",".$limiteVideos);
	    return;
	}catch(PDOException $e) {
    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	printf("ERROR");
}
//Funcion que borra todos los videos
function borrarVideos(){
    exec('sudo rm /var/www/html/GoldCheck/videos/*',$result);
	print_r('borrarVideos-OK&'.$result[0]);
}

//Función que consulta el firmware JAVA
function firmwareJava(){
    //echo "permisosUsuario";
    try{
            $midb = conexionLocalSQLite3();
            $midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            $results = $midb->prepare("SELECT * FROM tablaConfiguracion"); 
            $results->setFetchMode(PDO::FETCH_ASSOC);
            $results->execute();

            if($results){
                while($fila = $results->fetch()){
                    $resultado = $fila['firmware'];

                }
            }
            //Cierra la conexión con la base de datos
            $results = null;
            $midb = null;

        printf("OK,".$resultado);
        return;
    }catch(PDOException $e) {
    echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
    }
    printf("ERROR");
}

//Función que reproduce un audio
function escucharAudio($audio,$volumen){
    switch($volumen){
                case 0: $valor_vol = -80; break;
                case 25: $valor_vol = -10; break;
                case 50: $valor_vol = 0; break;
                case 75: $valor_vol = 3; break;
                case 100: $valor_vol = 15; break;
            }
    $comando = "sudo mplayer -af volume=".$valor_vol.":0 "."/var/www/html/GoldCheck/uploads/".$audio;
    
    exec($comando,$result);
    echo $comando;
}

//Función que limpia la carpeta que contiene el codigo Hmtl
function limpiarHtml(){
	if(file_exists("/var/www/html/UsuarioRfid/vistas_c.php")){
		printf("El archivo /var/www/html/UsuarioRfid/vistas_c.php existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/vistas_c.php");
	}else printf("El archivo /var/www/html/UsuarioRfid/vistas_c.php NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/modelo_c.php")){
		printf("El archivo /var/www/html/UsuarioRfid/modelo_c.php existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/modelo_c.php");
	}else printf("El archivo /var/www/html/UsuarioRfid/modelo_c.php NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/MensajesControlador.php")){
		printf("El archivo /var/www/html/UsuarioRfid/MensajesControlador.php existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/MensajesControlador.php");
	}else printf("El archivo /var/www/html/UsuarioRfid/MensajesControlador.php NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/controlador_c.php")){
		printf("El archivo /var/www/html/UsuarioRfid/controlador_c.php existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/controlador_c.php");
	}else printf("El archivo /var/www/html/UsuarioRfid/controlador_c.php NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/conexionLocal.php")){
		printf("El archivo /var/www/html/UsuarioRfid/conexionLocal.php existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/conexionLocal.php");
	}else printf("El archivo /var/www/html/UsuarioRfid/conexionLocal.php NO existe\n");	
	if(file_exists("/var/www/html/UsuarioRfid/mensajes.php")){
		printf("El archivo /var/www/html/UsuarioRfid/mensajes.php existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/mensajes.php");
	}else printf("El archivo /var/www/html/UsuarioRfid/mensajes.php NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/js/gauge.min.js")){
		printf("El archivo /var/www/html/UsuarioRfid/js/gauge.min.js existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/js/gauge.min.js");
	}else printf("El archivo /var/www/html/UsuarioRfid/js/gauge.min.js NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/js/enviarMensajes.js")){
		printf("El archivo /var/www/html/UsuarioRfid/js/enviarMensajes.js existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/js/enviarMensajes.js");
	}else printf("El archivo /var/www/html/UsuarioRfid/js/enviarMensajes.js NO existe\n");
	if(file_exists("/var/www/html/UsuarioRfid/js/conductor.js")){
		printf("El archivo /var/www/html/UsuarioRfid/js/conductor.js existe.... se procede a borrarlo\n");
		unlink("/var/www/html/UsuarioRfid/js/conductor.js");
	}else printf("El archivo /var/www/html/UsuarioRfid/js/conductor.js NO existe\n");
	
	//Limpieza de videos de 0K y de prueba
	exec(" ls -sh /var/www/html/GoldCheck/videos/",$output);
    
	foreach($output as $a){
		$resul = preg_split("/[\s,]+/",$a);
		if(count($resul) >= 2 && $resul[count($resul)-2] == '0'){
			printf("Se borra /var/www/html/GoldCheck/videos/".$resul[count($resul)-1]);
			unlink("/var/www/html/GoldCheck/videos/".$resul[count($resul)-1]);
			
		}
		if(strpos($resul[count($resul)-1], 'avi') !== false) {
			printf("Se borra /var/www/html/GoldCheck/videos/".$resul[count($resul)-1]);
			unlink("/var/www/html/GoldCheck/videos/".$resul[count($resul)-1]);
		}
		if(strpos($resul[count($resul)-1], 'prueba') !== false) {
			printf("Se borra /var/www/html/GoldCheck/videos/".$resul[count($resul)-1]);
			unlink("/var/www/html/GoldCheck/videos/".$resul[count($resul)-1]);
		}
	}
	printf("OK-LIMPIEZA HMTL\n");
}

 ?>